Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class BaseTermVectorsFormatTestCase.RandomDocumentFactory

    java.lang.Object
      org.apache.lucene.index.BaseTermVectorsFormatTestCase.RandomDocumentFactory

Enclosing class:
  BaseTermVectorsFormatTestCase

    protected class BaseTermVectorsFormatTestCase.RandomDocumentFactory

extends Object

Constructor Summary
`protected` | `BaseTermVectorsFormatTestCase.RandomDocumentFactory(int distinctFieldNames, int disctinctTerms)`

Method Summary
`BaseTermVectorsFormatTestCase.RandomDocument` | `newDocument(int fieldCount, int maxTermCount, BaseTermVectorsFormatTestCase.Options options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseTermVectorsFormatTestCase.RandomDocumentFactory

    protected BaseTermVectorsFormatTestCase.RandomDocumentFactory(int distinctFieldNames,
                                                                  int disctinctTerms)

Method Detail

### newDocument

    public BaseTermVectorsFormatTestCase.RandomDocument newDocument(int fieldCount,
                                                                    int maxTermCount,
                                                                    BaseTermVectorsFormatTestCase.Options options)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.